Page MenuHomePhabricator

Deploy sticky header to office wiki and test wiki
Closed, ResolvedPublic2 Estimated Story Points

Description

NOTE: Targeted deployment date: Dec 6

Background

This task will track the deployment of the sticky header to office wiki and test wiki for testing purposes

Deployment checklist

  • Ensure the train has been deployed to group0

Acceptance criteria

  • Turn the sticky header to on by default on testwiki and officewiki
  • Enable the A/B test on these wikis

QA Results - Prod

ACStatusDetails
1T295972#7579279
2T295972#7579279

Event Timeline

ovasileva triaged this task as Medium priority.Nov 18 2021, 11:26 AM
ovasileva created this task.
ovasileva moved this task from Incoming to Sticky header on the Desktop Improvements board.
ovasileva updated the task description. (Show Details)
ovasileva raised the priority of this task from Medium to High.Dec 7 2021, 1:39 PM

Change 745285 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Deploy sticky header and A/B test enrollment to office, test wikis.

https://gerrit.wikimedia.org/r/745285

cjming removed cjming as the assignee of this task.Dec 8 2021, 5:16 PM
cjming added a subscriber: cjming.

re-scheduled for backport tomorrow 12/9/21 after today's UTC late backport window got cancelled -- moving this to blocked for now

Change 745285 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy sticky header and A/B test enrollment to office, test wikis.

https://gerrit.wikimedia.org/r/745285

Mentioned in SAL (#wikimedia-operations) [2021-12-09T19:09:47Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: c1e95519682f0bd6633fb9fd7f49e7a664ec9f87: Deploy sticky header and A/B test enrollment to office, test wikis (T295972) (duration: 01m 06s)

Change 745598 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Update WebABTestEnrollment name

https://gerrit.wikimedia.org/r/745598

Change 745598 merged by jenkins-bot:

[operations/mediawiki-config@master] Update WebABTestEnrollment name

https://gerrit.wikimedia.org/r/745598

Mentioned in SAL (#wikimedia-operations) [2021-12-10T00:17:55Z] <cjming@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:745598|Update WebABTestEnrollment name (T295972)]] (duration: 00m 57s)

Change 745931 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Fix format of VectorWebABTestEnrollment

https://gerrit.wikimedia.org/r/745931

Change 745938 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/skins/Vector@master] Fix format of VectorWebABTestEnrollment

https://gerrit.wikimedia.org/r/745938

Change 745938 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Fix format of VectorWebABTestEnrollment

https://gerrit.wikimedia.org/r/745938

Change 745931 merged by jenkins-bot:

[operations/mediawiki-config@master] Fix format of VectorWebABTestEnrollment

https://gerrit.wikimedia.org/r/745931

Mentioned in SAL (#wikimedia-operations) [2021-12-13T19:16:57Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: bb9894271fb4faff4d95ab3b90398143bc0bfa59: Fix format of VectorWebABTestEnrollment (T295972) (duration: 00m 57s)

Edtadros added a subscriber: Edtadros.

Test Result - Prod

Status: ✅ PASS
Environment: officewiki, testwiki
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: Turn the sticky header to on by default on testwiki and officewiki
Not able to get the sticky header to appear on officewiki, even with the query parameter.
Testwiki works perfectly

Screen Shot 2021-12-18 at 1.09.48 PM.png (1×858 px, 279 KB)

Officewiki works per T295972#7580640

✅ AC2: Enable the A/B test on these wikis
See AC1

Jdlrobson added a subscriber: Jdlrobson.

@Edtadros the query string doesn't allow you to override the A/B test so on Office the only way to confirm its working for the test group would be to get a new account that's bucketed. Luckily I'm bucketed so we can consider this a pass. It just means the A/B test is working and some are getting it and some are not.

Screen Shot 2021-12-20 at 8.30.02 AM.png (918×2 px, 324 KB)